<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.18"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>XHXKit: XHXPickerView类 参考</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">XHXKit
   &#160;<span id="projectnumber">4.10.0.12</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- 制作者 Doxygen 1.8.18 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'搜索');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','搜索');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('interface_x_h_x_picker_view.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">构造函数</a> &#124;
<a href="#properties">属性</a> &#124;
<a href="interface_x_h_x_picker_view-members.html">所有成员列表</a>  </div>
  <div class="headertitle">
<div class="title">XHXPickerView类 参考</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#import &lt;<a class="el" href="_x_h_x_picker_view_8h_source.html">XHXPickerView.h</a>&gt;</code></p>
<div class="dynheader">
类 XHXPickerView 继承关系图:</div>
<div class="dyncontent">
 <div class="center">
  <img src="interface_x_h_x_picker_view.png" alt=""/>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
构造函数</h2></td></tr>
<tr class="memitem:a81a0f4caa2b04b0bf4844d40bf9f7e7e"><td class="memItemLeft" align="right" valign="top">(NSInteger)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="interface_x_h_x_picker_view.html#a81a0f4caa2b04b0bf4844d40bf9f7e7e">numberOfRowsInComponent:</a></td></tr>
<tr class="separator:a81a0f4caa2b04b0bf4844d40bf9f7e7e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1663ff889ec2b88fcbaacaf51c929960"><td class="memItemLeft" align="right" valign="top">(CGSize)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="interface_x_h_x_picker_view.html#a1663ff889ec2b88fcbaacaf51c929960">rowSizeForComponent:</a></td></tr>
<tr class="separator:a1663ff889ec2b88fcbaacaf51c929960"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a313dbb30c183223b6281468604bd63d6"><td class="memItemLeft" align="right" valign="top">(nullable UIView *)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="interface_x_h_x_picker_view.html#a313dbb30c183223b6281468604bd63d6">viewForRow:forComponent:</a></td></tr>
<tr class="separator:a313dbb30c183223b6281468604bd63d6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1948cd77600083a44f1f7dc0209df3e9"><td class="memItemLeft" align="right" valign="top">(void)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="interface_x_h_x_picker_view.html#a1948cd77600083a44f1f7dc0209df3e9">reloadAllComponents</a></td></tr>
<tr class="separator:a1948cd77600083a44f1f7dc0209df3e9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a54328e0b8a951146b8f5827d17739a78"><td class="memItemLeft" align="right" valign="top">(void)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="interface_x_h_x_picker_view.html#a54328e0b8a951146b8f5827d17739a78">reloadComponent:</a></td></tr>
<tr class="separator:a54328e0b8a951146b8f5827d17739a78"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a94bb9102ce10d2ebae11bc08d6b36d7e"><td class="memItemLeft" align="right" valign="top">(void)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="interface_x_h_x_picker_view.html#a94bb9102ce10d2ebae11bc08d6b36d7e">selectRow:inComponent:animated:</a></td></tr>
<tr class="separator:a94bb9102ce10d2ebae11bc08d6b36d7e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad0db2a0c7bc4ac7af408ecb6618eca11"><td class="memItemLeft" align="right" valign="top">(NSInteger)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="interface_x_h_x_picker_view.html#ad0db2a0c7bc4ac7af408ecb6618eca11">selectedRowInComponent:</a></td></tr>
<tr class="separator:ad0db2a0c7bc4ac7af408ecb6618eca11"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaabee5b84c4cedccd5da1c992f4ab975"><td class="memItemLeft" align="right" valign="top">(void)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="interface_x_h_x_picker_view.html#aaabee5b84c4cedccd5da1c992f4ab975">showOnView:</a></td></tr>
<tr class="separator:aaabee5b84c4cedccd5da1c992f4ab975"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1df524147bb73dcb7d843806675dc6b2"><td class="memItemLeft" align="right" valign="top">(void)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="interface_x_h_x_picker_view.html#a1df524147bb73dcb7d843806675dc6b2">dismiss</a></td></tr>
<tr class="separator:a1df524147bb73dcb7d843806675dc6b2"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="properties"></a>
属性</h2></td></tr>
<tr class="memitem:adc60c96661245d52980f449ff97e511e"><td class="memItemLeft" align="right" valign="top">UIView *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_x_h_x_picker_view.html#adc60c96661245d52980f449ff97e511e">shadowView</a></td></tr>
<tr class="separator:adc60c96661245d52980f449ff97e511e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aff723421f2629a7f2f7b7965c3edfa83"><td class="memItemLeft" align="right" valign="top">UIView *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_x_h_x_picker_view.html#aff723421f2629a7f2f7b7965c3edfa83">panelView</a></td></tr>
<tr class="separator:aff723421f2629a7f2f7b7965c3edfa83"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aafeb1d2051c88be8582d3bbef9645098"><td class="memItemLeft" align="right" valign="top">UIButton *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_x_h_x_picker_view.html#aafeb1d2051c88be8582d3bbef9645098">cancelBtn</a></td></tr>
<tr class="separator:aafeb1d2051c88be8582d3bbef9645098"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a44b0c8e9954ee7a9cd89bf154ebe1fdf"><td class="memItemLeft" align="right" valign="top">UIButton *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_x_h_x_picker_view.html#a44b0c8e9954ee7a9cd89bf154ebe1fdf">submitBtn</a></td></tr>
<tr class="separator:a44b0c8e9954ee7a9cd89bf154ebe1fdf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae32c0a6f4bbbdd0a361f362d80351f70"><td class="memItemLeft" align="right" valign="top">UIView *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_x_h_x_picker_view.html#ae32c0a6f4bbbdd0a361f362d80351f70">sepLine</a></td></tr>
<tr class="separator:ae32c0a6f4bbbdd0a361f362d80351f70"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a293927cf8c5f593c3f19db437ee63c24"><td class="memItemLeft" align="right" valign="top">UIView *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_x_h_x_picker_view.html#a293927cf8c5f593c3f19db437ee63c24">topLine</a></td></tr>
<tr class="separator:a293927cf8c5f593c3f19db437ee63c24"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6b91f54a13651a58eb5669b05ab375ad"><td class="memItemLeft" align="right" valign="top">UIView *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_x_h_x_picker_view.html#a6b91f54a13651a58eb5669b05ab375ad">bottomLine</a></td></tr>
<tr class="separator:a6b91f54a13651a58eb5669b05ab375ad"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1038850e6a20193ef56214e21356aad8"><td class="memItemLeft" align="right" valign="top">CGFloat&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_x_h_x_picker_view.html#a1038850e6a20193ef56214e21356aad8">lineSpace</a></td></tr>
<tr class="separator:a1038850e6a20193ef56214e21356aad8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a074e55f35d4ae92a773f1810dd2d4836"><td class="memItemLeft" align="right" valign="top">id&lt; UIPickerViewDataSource &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_x_h_x_picker_view.html#a074e55f35d4ae92a773f1810dd2d4836">dataSource</a></td></tr>
<tr class="separator:a074e55f35d4ae92a773f1810dd2d4836"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a18ac283457ab6f8f2ae69baf35646f0a"><td class="memItemLeft" align="right" valign="top">id&lt; <a class="el" href="protocol_x_h_x_picker_view_delegate-p.html">XHXPickerViewDelegate</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_x_h_x_picker_view.html#a18ac283457ab6f8f2ae69baf35646f0a">delegate</a></td></tr>
<tr class="separator:a18ac283457ab6f8f2ae69baf35646f0a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a37af0ee3363ca8d6b5eedea6bef38f60"><td class="memItemLeft" align="right" valign="top">BOOL&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_x_h_x_picker_view.html#a37af0ee3363ca8d6b5eedea6bef38f60">showsSelectionIndicator</a></td></tr>
<tr class="separator:a37af0ee3363ca8d6b5eedea6bef38f60"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4f0695fe938133c560b897a53652bcb6"><td class="memItemLeft" align="right" valign="top">NSInteger&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_x_h_x_picker_view.html#a4f0695fe938133c560b897a53652bcb6">numberOfComponents</a></td></tr>
<tr class="separator:a4f0695fe938133c560b897a53652bcb6"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">详细描述</h2>
<div class="textblock">
<p class="definition">在文件 <a class="el" href="_x_h_x_picker_view_8h_source.html">XHXPickerView.h</a> 第 <a class="el" href="_x_h_x_picker_view_8h_source.html#l00021">21</a> 行定义.</p>
</div><h2 class="groupheader">函数文档</h2>
<a id="a1df524147bb73dcb7d843806675dc6b2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1df524147bb73dcb7d843806675dc6b2">&#9670;&nbsp;</a></span>dismiss</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">- (void) dismiss </td>
          <td></td>
          <td class="paramname"></td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">在文件 <a class="el" href="_x_h_x_picker_view_8m_source.html">XHXPickerView.m</a> 第 <a class="el" href="_x_h_x_picker_view_8m_source.html#l00014">14</a> 行定义.</p>

</div>
</div>
<a id="a81a0f4caa2b04b0bf4844d40bf9f7e7e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a81a0f4caa2b04b0bf4844d40bf9f7e7e">&#9670;&nbsp;</a></span>numberOfRowsInComponent:</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">- (NSInteger) numberOfRowsInComponent: </td>
          <td></td>
          <td class="paramtype">(NSInteger)&#160;</td>
          <td class="paramname"><em>component</em></td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">在文件 <a class="el" href="_x_h_x_picker_view_8m_source.html">XHXPickerView.m</a> 第 <a class="el" href="_x_h_x_picker_view_8m_source.html#l00014">14</a> 行定义.</p>

</div>
</div>
<a id="a1948cd77600083a44f1f7dc0209df3e9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1948cd77600083a44f1f7dc0209df3e9">&#9670;&nbsp;</a></span>reloadAllComponents</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">- (void) reloadAllComponents </td>
          <td></td>
          <td class="paramname"></td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">在文件 <a class="el" href="_x_h_x_picker_view_8m_source.html">XHXPickerView.m</a> 第 <a class="el" href="_x_h_x_picker_view_8m_source.html#l00014">14</a> 行定义.</p>

</div>
</div>
<a id="a54328e0b8a951146b8f5827d17739a78"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a54328e0b8a951146b8f5827d17739a78">&#9670;&nbsp;</a></span>reloadComponent:</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">- (void) reloadComponent: </td>
          <td></td>
          <td class="paramtype">(NSInteger)&#160;</td>
          <td class="paramname"><em>component</em></td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">在文件 <a class="el" href="_x_h_x_picker_view_8m_source.html">XHXPickerView.m</a> 第 <a class="el" href="_x_h_x_picker_view_8m_source.html#l00014">14</a> 行定义.</p>

</div>
</div>
<a id="a1663ff889ec2b88fcbaacaf51c929960"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1663ff889ec2b88fcbaacaf51c929960">&#9670;&nbsp;</a></span>rowSizeForComponent:</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">- (CGSize) rowSizeForComponent: </td>
          <td></td>
          <td class="paramtype">(NSInteger)&#160;</td>
          <td class="paramname"><em>component</em></td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">在文件 <a class="el" href="_x_h_x_picker_view_8m_source.html">XHXPickerView.m</a> 第 <a class="el" href="_x_h_x_picker_view_8m_source.html#l00014">14</a> 行定义.</p>

</div>
</div>
<a id="ad0db2a0c7bc4ac7af408ecb6618eca11"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad0db2a0c7bc4ac7af408ecb6618eca11">&#9670;&nbsp;</a></span>selectedRowInComponent:</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">- (NSInteger) selectedRowInComponent: </td>
          <td></td>
          <td class="paramtype">(NSInteger)&#160;</td>
          <td class="paramname"><em>component</em></td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">在文件 <a class="el" href="_x_h_x_picker_view_8m_source.html">XHXPickerView.m</a> 第 <a class="el" href="_x_h_x_picker_view_8m_source.html#l00014">14</a> 行定义.</p>

</div>
</div>
<a id="a94bb9102ce10d2ebae11bc08d6b36d7e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a94bb9102ce10d2ebae11bc08d6b36d7e">&#9670;&nbsp;</a></span>selectRow:inComponent:animated:</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">- (void) selectRow: </td>
          <td></td>
          <td class="paramtype">(NSInteger)&#160;</td>
          <td class="paramname"><em>row</em></td>
        </tr>
        <tr>
          <td class="paramkey">inComponent:</td>
          <td></td>
          <td class="paramtype">(NSInteger)&#160;</td>
          <td class="paramname"><em>component</em></td>
        </tr>
        <tr>
          <td class="paramkey">animated:</td>
          <td></td>
          <td class="paramtype">(BOOL)&#160;</td>
          <td class="paramname"><em>animated</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td></td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">在文件 <a class="el" href="_x_h_x_picker_view_8m_source.html">XHXPickerView.m</a> 第 <a class="el" href="_x_h_x_picker_view_8m_source.html#l00014">14</a> 行定义.</p>

</div>
</div>
<a id="aaabee5b84c4cedccd5da1c992f4ab975"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aaabee5b84c4cedccd5da1c992f4ab975">&#9670;&nbsp;</a></span>showOnView:</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">- (void) showOnView: </td>
          <td></td>
          <td class="paramtype">(UIView *)&#160;</td>
          <td class="paramname"><em>view</em></td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">在文件 <a class="el" href="_x_h_x_picker_view_8m_source.html">XHXPickerView.m</a> 第 <a class="el" href="_x_h_x_picker_view_8m_source.html#l00014">14</a> 行定义.</p>

</div>
</div>
<a id="a313dbb30c183223b6281468604bd63d6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a313dbb30c183223b6281468604bd63d6">&#9670;&nbsp;</a></span>viewForRow:forComponent:</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">- (nullable UIView *) viewForRow: </td>
          <td></td>
          <td class="paramtype">(NSInteger)&#160;</td>
          <td class="paramname"><em>row</em></td>
        </tr>
        <tr>
          <td class="paramkey">forComponent:</td>
          <td></td>
          <td class="paramtype">(NSInteger)&#160;</td>
          <td class="paramname"><em>component</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td></td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">在文件 <a class="el" href="_x_h_x_picker_view_8m_source.html">XHXPickerView.m</a> 第 <a class="el" href="_x_h_x_picker_view_8m_source.html#l00014">14</a> 行定义.</p>

</div>
</div>
<h2 class="groupheader">属性说明</h2>
<a id="a6b91f54a13651a58eb5669b05ab375ad"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6b91f54a13651a58eb5669b05ab375ad">&#9670;&nbsp;</a></span>bottomLine</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (UIView*) bottomLine</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">strong</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">在文件 <a class="el" href="_x_h_x_picker_view_8h_source.html">XHXPickerView.h</a> 第 <a class="el" href="_x_h_x_picker_view_8h_source.html#l00030">30</a> 行定义.</p>

</div>
</div>
<a id="aafeb1d2051c88be8582d3bbef9645098"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aafeb1d2051c88be8582d3bbef9645098">&#9670;&nbsp;</a></span>cancelBtn</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (UIButton*) cancelBtn</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">strong</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">在文件 <a class="el" href="_x_h_x_picker_view_8h_source.html">XHXPickerView.h</a> 第 <a class="el" href="_x_h_x_picker_view_8h_source.html#l00025">25</a> 行定义.</p>

</div>
</div>
<a id="a074e55f35d4ae92a773f1810dd2d4836"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a074e55f35d4ae92a773f1810dd2d4836">&#9670;&nbsp;</a></span>dataSource</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (id&lt;UIPickerViewDataSource&gt;) dataSource</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">weak</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">在文件 <a class="el" href="_x_h_x_picker_view_8h_source.html">XHXPickerView.h</a> 第 <a class="el" href="_x_h_x_picker_view_8h_source.html#l00033">33</a> 行定义.</p>

</div>
</div>
<a id="a18ac283457ab6f8f2ae69baf35646f0a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a18ac283457ab6f8f2ae69baf35646f0a">&#9670;&nbsp;</a></span>delegate</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (id&lt;<a class="el" href="protocol_x_h_x_picker_view_delegate-p.html">XHXPickerViewDelegate</a>&gt;) delegate</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">weak</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">在文件 <a class="el" href="_x_h_x_picker_view_8h_source.html">XHXPickerView.h</a> 第 <a class="el" href="_x_h_x_picker_view_8h_source.html#l00034">34</a> 行定义.</p>

</div>
</div>
<a id="a1038850e6a20193ef56214e21356aad8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1038850e6a20193ef56214e21356aad8">&#9670;&nbsp;</a></span>lineSpace</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (CGFloat) lineSpace</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">assign</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">在文件 <a class="el" href="_x_h_x_picker_view_8h_source.html">XHXPickerView.h</a> 第 <a class="el" href="_x_h_x_picker_view_8h_source.html#l00031">31</a> 行定义.</p>

</div>
</div>
<a id="a4f0695fe938133c560b897a53652bcb6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4f0695fe938133c560b897a53652bcb6">&#9670;&nbsp;</a></span>numberOfComponents</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (NSInteger) numberOfComponents</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">nonatomic</span><span class="mlabel">assign</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">在文件 <a class="el" href="_x_h_x_picker_view_8h_source.html">XHXPickerView.h</a> 第 <a class="el" href="_x_h_x_picker_view_8h_source.html#l00038">38</a> 行定义.</p>

</div>
</div>
<a id="aff723421f2629a7f2f7b7965c3edfa83"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aff723421f2629a7f2f7b7965c3edfa83">&#9670;&nbsp;</a></span>panelView</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (UIView*) panelView</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">strong</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">在文件 <a class="el" href="_x_h_x_picker_view_8h_source.html">XHXPickerView.h</a> 第 <a class="el" href="_x_h_x_picker_view_8h_source.html#l00024">24</a> 行定义.</p>

</div>
</div>
<a id="ae32c0a6f4bbbdd0a361f362d80351f70"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae32c0a6f4bbbdd0a361f362d80351f70">&#9670;&nbsp;</a></span>sepLine</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (UIView*) sepLine</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">strong</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">在文件 <a class="el" href="_x_h_x_picker_view_8h_source.html">XHXPickerView.h</a> 第 <a class="el" href="_x_h_x_picker_view_8h_source.html#l00027">27</a> 行定义.</p>

</div>
</div>
<a id="adc60c96661245d52980f449ff97e511e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adc60c96661245d52980f449ff97e511e">&#9670;&nbsp;</a></span>shadowView</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (UIView*) shadowView</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">strong</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">在文件 <a class="el" href="_x_h_x_picker_view_8h_source.html">XHXPickerView.h</a> 第 <a class="el" href="_x_h_x_picker_view_8h_source.html#l00023">23</a> 行定义.</p>

</div>
</div>
<a id="a37af0ee3363ca8d6b5eedea6bef38f60"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a37af0ee3363ca8d6b5eedea6bef38f60">&#9670;&nbsp;</a></span>showsSelectionIndicator</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (BOOL) showsSelectionIndicator</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">assign</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">在文件 <a class="el" href="_x_h_x_picker_view_8h_source.html">XHXPickerView.h</a> 第 <a class="el" href="_x_h_x_picker_view_8h_source.html#l00037">37</a> 行定义.</p>

</div>
</div>
<a id="a44b0c8e9954ee7a9cd89bf154ebe1fdf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a44b0c8e9954ee7a9cd89bf154ebe1fdf">&#9670;&nbsp;</a></span>submitBtn</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (UIButton*) submitBtn</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">strong</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">在文件 <a class="el" href="_x_h_x_picker_view_8h_source.html">XHXPickerView.h</a> 第 <a class="el" href="_x_h_x_picker_view_8h_source.html#l00026">26</a> 行定义.</p>

</div>
</div>
<a id="a293927cf8c5f593c3f19db437ee63c24"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a293927cf8c5f593c3f19db437ee63c24">&#9670;&nbsp;</a></span>topLine</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (UIView*) topLine</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">strong</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">在文件 <a class="el" href="_x_h_x_picker_view_8h_source.html">XHXPickerView.h</a> 第 <a class="el" href="_x_h_x_picker_view_8h_source.html#l00029">29</a> 行定义.</p>

</div>
</div>
<hr/>该类的文档由以下文件生成:<ul>
<li>XHXKit/Classes/PickerView/<a class="el" href="_x_h_x_picker_view_8h_source.html">XHXPickerView.h</a></li>
<li>XHXKit/Classes/PickerView/<a class="el" href="_x_h_x_picker_view_8m_source.html">XHXPickerView.m</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="interface_x_h_x_picker_view.html">XHXPickerView</a></li>
    <li class="footer">制作者
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.18 </li>
  </ul>
</div>
</body>
</html>
